for i in /fh/fast/tapscott_s/SR/ngs/illumina/srbennet/211206_D00300_1389_BHNGKMBCX3/Unaligned/Project_srbennet/*R1_001.fastq.gz; do trim_galore --paired --gzip $i ${i/R1_001.fastq.gz/R2_001.fastq.gz} --output_dir /fh/fast/tapscott_s/user/sbennett/PolII_CutTag_Resequence/trimmed_fastqs/ --fastqc --fastqc_args "--outdir /fh/fast/tapscott_s/user/sbennett/PolII_CutTag_Resequence/trimmed_fastqs/fastqc/"; done

#They all look fine enough, so we're just gonna merge all the fastqs and re-align them to GRCh38 and DM6.

### AS samples

cat /fh/fast/tapscott_s/user/sbennett/PolII_CutTag_Resequence/trimmed_fastqs/AS_DI4_Repool_S44_R1_001_val_1.fq.gz /fh/fast/tapscott_s/user/sbennett/PolII_CutTag_Resequence/trimmed_fastqs/AS_DI4_S14_R1_001_val_1.fq.gz /fh/fast/tapscott_s/user/sbennett/PolII_CutandTag/trimmed_fastqs/fq/AS_DI4_S14_R1_001_val_1.fq.gz > /fh/fast/tapscott_s/user/sbennett/PolII_CutTag_Resequence/merged_fastqs/AS_DI4_PolII_Rep1_merged_trimmed_R1.fq.gz
cat /fh/fast/tapscott_s/user/sbennett/PolII_CutTag_Resequence/trimmed_fastqs/AS_DI4_Repool_S44_R2_001_val_2.fq.gz /fh/fast/tapscott_s/user/sbennett/PolII_CutTag_Resequence/trimmed_fastqs/AS_DI4_S14_R2_001_val_2.fq.gz /fh/fast/tapscott_s/user/sbennett/PolII_CutandTag/trimmed_fastqs/fq/AS_DI4_S14_R2_001_val_2.fq.gz > /fh/fast/tapscott_s/user/sbennett/PolII_CutTag_Resequence/merged_fastqs/AS_DI4_PolII_Rep1_merged_trimmed_R2.fq.gz

cat /fh/fast/tapscott_s/user/sbennett/PolII_CutTag_Resequence/trimmed_fastqs/AS_DI5_Repool_S45_R1_001_val_1.fq.gz /fh/fast/tapscott_s/user/sbennett/PolII_CutTag_Resequence/trimmed_fastqs/AS_DI5_S15_R1_001_val_1.fq.gz /fh/fast/tapscott_s/user/sbennett/PolII_CutandTag/trimmed_fastqs/fq/AS_DI5_S15_R1_001_val_1.fq.gz > /fh/fast/tapscott_s/user/sbennett/PolII_CutTag_Resequence/merged_fastqs/AS_DI5_PolII_Rep2_merged_trimmed_R1.fq.gz
cat /fh/fast/tapscott_s/user/sbennett/PolII_CutTag_Resequence/trimmed_fastqs/AS_DI5_Repool_S45_R2_001_val_2.fq.gz /fh/fast/tapscott_s/user/sbennett/PolII_CutTag_Resequence/trimmed_fastqs/AS_DI5_S15_R2_001_val_2.fq.gz /fh/fast/tapscott_s/user/sbennett/PolII_CutandTag/trimmed_fastqs/fq/AS_DI5_S15_R2_001_val_2.fq.gz > /fh/fast/tapscott_s/user/sbennett/PolII_CutTag_Resequence/merged_fastqs/AS_DI5_PolII_Rep2_merged_trimmed_R2.fq.gz

cat /fh/fast/tapscott_s/user/sbennett/PolII_CutTag_Resequence/trimmed_fastqs/AS_I4_Repool_S39_R1_001_val_1.fq.gz /fh/fast/tapscott_s/user/sbennett/PolII_CutTag_Resequence/trimmed_fastqs/AS_I4_S9_R1_001_val_1.fq.gz /fh/fast/tapscott_s/user/sbennett/PolII_CutandTag/trimmed_fastqs/fq/AS_I4_S9_R1_001_val_1.fq.gz > /fh/fast/tapscott_s/user/sbennett/PolII_CutTag_Resequence/merged_fastqs/AS_I4_PolII_Rep1_merged_trimmed_R1.fq.gz
cat /fh/fast/tapscott_s/user/sbennett/PolII_CutTag_Resequence/trimmed_fastqs/AS_I4_Repool_S39_R2_001_val_2.fq.gz /fh/fast/tapscott_s/user/sbennett/PolII_CutTag_Resequence/trimmed_fastqs/AS_I4_S9_R2_001_val_2.fq.gz /fh/fast/tapscott_s/user/sbennett/PolII_CutandTag/trimmed_fastqs/fq/AS_I4_S9_R2_001_val_2.fq.gz > /fh/fast/tapscott_s/user/sbennett/PolII_CutTag_Resequence/merged_fastqs/AS_I4_PolII_Rep1_merged_trimmed_R2.fq.gz

cat /fh/fast/tapscott_s/user/sbennett/PolII_CutTag_Resequence/trimmed_fastqs/AS_I5_Repool_S40_R1_001_val_1.fq.gz /fh/fast/tapscott_s/user/sbennett/PolII_CutTag_Resequence/trimmed_fastqs/AS_I5_S10_R1_001_val_1.fq.gz /fh/fast/tapscott_s/user/sbennett/PolII_CutandTag/trimmed_fastqs/fq/AS_I5_S10_R1_001_val_1.fq.gz > /fh/fast/tapscott_s/user/sbennett/PolII_CutTag_Resequence/merged_fastqs/AS_I5_PolII_Rep2_merged_trimmed_R1.fq.gz
cat /fh/fast/tapscott_s/user/sbennett/PolII_CutTag_Resequence/trimmed_fastqs/AS_I5_Repool_S40_R2_001_val_2.fq.gz /fh/fast/tapscott_s/user/sbennett/PolII_CutTag_Resequence/trimmed_fastqs/AS_I5_S10_R2_001_val_2.fq.gz /fh/fast/tapscott_s/user/sbennett/PolII_CutandTag/trimmed_fastqs/fq/AS_I5_S10_R2_001_val_2.fq.gz > /fh/fast/tapscott_s/user/sbennett/PolII_CutTag_Resequence/merged_fastqs/AS_I5_PolII_Rep2_merged_trimmed_R2.fq.gz

cat /fh/fast/tapscott_s/user/sbennett/PolII_CutTag_Resequence/trimmed_fastqs/AS_U4_Repool_S34_R1_001_val_1.fq.gz /fh/fast/tapscott_s/user/sbennett/PolII_CutTag_Resequence/trimmed_fastqs/AS_U4_S4_R1_001_val_1.fq.gz /fh/fast/tapscott_s/user/sbennett/PolII_CutandTag/trimmed_fastqs/fq/AS_U4_S4_R1_001_val_1.fq.gz > /fh/fast/tapscott_s/user/sbennett/PolII_CutTag_Resequence/merged_fastqs/AS_U4_PolII_Rep1_merged_trimmed_R1.fq.gz
cat /fh/fast/tapscott_s/user/sbennett/PolII_CutTag_Resequence/trimmed_fastqs/AS_U4_Repool_S34_R2_001_val_2.fq.gz /fh/fast/tapscott_s/user/sbennett/PolII_CutTag_Resequence/trimmed_fastqs/AS_U4_S4_R2_001_val_2.fq.gz /fh/fast/tapscott_s/user/sbennett/PolII_CutandTag/trimmed_fastqs/fq/AS_U4_S4_R2_001_val_2.fq.gz > /fh/fast/tapscott_s/user/sbennett/PolII_CutTag_Resequence/merged_fastqs/AS_U4_PolII_Rep1_merged_trimmed_R2.fq.gz

cat /fh/fast/tapscott_s/user/sbennett/PolII_CutTag_Resequence/trimmed_fastqs/AS_U5_Repool_S35_R1_001_val_1.fq.gz /fh/fast/tapscott_s/user/sbennett/PolII_CutTag_Resequence/trimmed_fastqs/AS_U5_S5_R1_001_val_1.fq.gz /fh/fast/tapscott_s/user/sbennett/PolII_CutandTag/trimmed_fastqs/fq/AS_U5_S5_R1_001_val_1.fq.gz > /fh/fast/tapscott_s/user/sbennett/PolII_CutTag_Resequence/merged_fastqs/AS_U5_PolII_Rep2_merged_trimmed_R1.fq.gz
cat /fh/fast/tapscott_s/user/sbennett/PolII_CutTag_Resequence/trimmed_fastqs/AS_U5_Repool_S35_R2_001_val_2.fq.gz /fh/fast/tapscott_s/user/sbennett/PolII_CutTag_Resequence/trimmed_fastqs/AS_U5_S5_R2_001_val_2.fq.gz /fh/fast/tapscott_s/user/sbennett/PolII_CutandTag/trimmed_fastqs/fq/AS_U5_S5_R2_001_val_2.fq.gz > /fh/fast/tapscott_s/user/sbennett/PolII_CutTag_Resequence/merged_fastqs/AS_U5_PolII_Rep2_merged_trimmed_R2.fq.gz

### NS samples

cat /fh/fast/tapscott_s/user/sbennett/PolII_CutTag_Resequence/trimmed_fastqs/NS_03_S18_R1_001_val_1.fq.gz /fh/fast/tapscott_s/user/sbennett/PolII_CutandTag/trimmed_fastqs/fq/NS_03_S18_R1_001_val_1.fq.gz > /fh/fast/tapscott_s/user/sbennett/PolII_CutTag_Resequence/merged_fastqs/NS_U3_PolII_Rep1_merged_trimmed_R1.fq.gz
cat /fh/fast/tapscott_s/user/sbennett/PolII_CutTag_Resequence/trimmed_fastqs/NS_03_S18_R2_001_val_2.fq.gz /fh/fast/tapscott_s/user/sbennett/PolII_CutandTag/trimmed_fastqs/fq/NS_03_S18_R2_001_val_2.fq.gz > /fh/fast/tapscott_s/user/sbennett/PolII_CutTag_Resequence/merged_fastqs/NS_U3_PolII_Rep1_merged_trimmed_R2.fq.gz

cat /fh/fast/tapscott_s/user/sbennett/PolII_CutTag_Resequence/trimmed_fastqs/NS_04_S19_R1_001_val_1.fq.gz /fh/fast/tapscott_s/user/sbennett/PolII_CutandTag/trimmed_fastqs/fq/NS_04_S19_R1_001_val_1.fq.gz > /fh/fast/tapscott_s/user/sbennett/PolII_CutTag_Resequence/merged_fastqs/NS_U4_PolII_Rep2_merged_trimmed_R1.fq.gz
cat /fh/fast/tapscott_s/user/sbennett/PolII_CutTag_Resequence/trimmed_fastqs/NS_04_S19_R2_001_val_2.fq.gz /fh/fast/tapscott_s/user/sbennett/PolII_CutandTag/trimmed_fastqs/fq/NS_04_S19_R2_001_val_2.fq.gz > /fh/fast/tapscott_s/user/sbennett/PolII_CutTag_Resequence/merged_fastqs/NS_U4_PolII_Rep2_merged_trimmed_R2.fq.gz

cat /fh/fast/tapscott_s/user/sbennett/PolII_CutTag_Resequence/trimmed_fastqs/NS_08_S23_R1_001_val_1.fq.gz /fh/fast/tapscott_s/user/sbennett/PolII_CutandTag/trimmed_fastqs/fq/NS_08_S23_R1_001_val_1.fq.gz > /fh/fast/tapscott_s/user/sbennett/PolII_CutTag_Resequence/merged_fastqs/NS_I3_PolII_Rep1_merged_trimmed_R1.fq.gz
cat /fh/fast/tapscott_s/user/sbennett/PolII_CutTag_Resequence/trimmed_fastqs/NS_08_S23_R2_001_val_2.fq.gz /fh/fast/tapscott_s/user/sbennett/PolII_CutandTag/trimmed_fastqs/fq/NS_08_S23_R2_001_val_2.fq.gz > /fh/fast/tapscott_s/user/sbennett/PolII_CutTag_Resequence/merged_fastqs/NS_I3_PolII_Rep1_merged_trimmed_R2.fq.gz

cat /fh/fast/tapscott_s/user/sbennett/PolII_CutTag_Resequence/trimmed_fastqs/NS_09_S24_R1_001_val_1.fq.gz /fh/fast/tapscott_s/user/sbennett/PolII_CutandTag/trimmed_fastqs/fq/NS_09_S24_R1_001_val_1.fq.gz > /fh/fast/tapscott_s/user/sbennett/PolII_CutTag_Resequence/merged_fastqs/NS_I4_PolII_Rep2_merged_trimmed_R1.fq.gz
cat /fh/fast/tapscott_s/user/sbennett/PolII_CutTag_Resequence/trimmed_fastqs/NS_09_S24_R2_001_val_2.fq.gz /fh/fast/tapscott_s/user/sbennett/PolII_CutandTag/trimmed_fastqs/fq/NS_09_S24_R2_001_val_2.fq.gz > /fh/fast/tapscott_s/user/sbennett/PolII_CutTag_Resequence/merged_fastqs/NS_I4_PolII_Rep2_merged_trimmed_R2.fq.gz

cat /fh/fast/tapscott_s/user/sbennett/PolII_CutTag_Resequence/trimmed_fastqs/NS_13_S28_R1_001_val_1.fq.gz /fh/fast/tapscott_s/user/sbennett/PolII_CutandTag/trimmed_fastqs/fq/NS_13_S28_R1_001_val_1.fq.gz > /fh/fast/tapscott_s/user/sbennett/PolII_CutTag_Resequence/merged_fastqs/NS_DI3_PolII_Rep1_merged_trimmed_R1.fq.gz
cat /fh/fast/tapscott_s/user/sbennett/PolII_CutTag_Resequence/trimmed_fastqs/NS_13_S28_R2_001_val_2.fq.gz /fh/fast/tapscott_s/user/sbennett/PolII_CutandTag/trimmed_fastqs/fq/NS_13_S28_R2_001_val_2.fq.gz > /fh/fast/tapscott_s/user/sbennett/PolII_CutTag_Resequence/merged_fastqs/NS_DI3_PolII_Rep1_merged_trimmed_R2.fq.gz

cat /fh/fast/tapscott_s/user/sbennett/PolII_CutTag_Resequence/trimmed_fastqs/NS_14_S29_R1_001_val_1.fq.gz /fh/fast/tapscott_s/user/sbennett/PolII_CutandTag/trimmed_fastqs/fq/NS_14_S29_R1_001_val_1.fq.gz > /fh/fast/tapscott_s/user/sbennett/PolII_CutTag_Resequence/merged_fastqs/NS_DI4_PolII_Rep2_merged_trimmed_R1.fq.gz
cat /fh/fast/tapscott_s/user/sbennett/PolII_CutTag_Resequence/trimmed_fastqs/NS_14_S29_R2_001_val_2.fq.gz /fh/fast/tapscott_s/user/sbennett/PolII_CutandTag/trimmed_fastqs/fq/NS_14_S29_R2_001_val_2.fq.gz > /fh/fast/tapscott_s/user/sbennett/PolII_CutTag_Resequence/merged_fastqs/NS_DI4_PolII_Rep2_merged_trimmed_R2.fq.gz

# Align to GRCh38 w/ bowtie2 using the following paramters. 
# 
#  --end-to-end --very-sensitive --no-mixed --no-discordant --phred33 -I 10 -X 1400 -p 10
#  
 ### Note, I changed -X to 1400 from 700 in the Cut & Tag protocol based on the TapeStation for our library pools having a shoulder out to approxamately that size. Can re-align if it proves problematic. 

# GRCh38 alignment 
for i in ./merged_fastqs/*R1.fq.gz; do bowtie2 --end-to-end --very-sensitive --no-mixed --no-discordant --phred33 -p 10 -I 10 -X 1400 -x /fh/fast/tapscott_s/CompBio/genome_reference/GRCh38/Sequence/Bowtie2Index/GRCh38.p13.genome -1 $i -2 ${i/R1.fq.gz/R2.fq.gz} > ${i/R1.fq.gz/bowtie2Aln.sam}; done

# Sam -> bam
for i in *.bam; do samtools view -bSh -@ 5 $i > ${i/.sam/.bam}; done
# Sorting

for i in *.bam; do samtools sort -@ 5 $i > ${i/.bam/_sorted.bam}; done

# Indexing

for i in *sorted.bam; do samtools index -@ 5 $i; done

# 1x genome coverage normalization with read centering and read extention. 

for i in *sorted.bam; do bamCoverage --extendReads --centerReads --effectiveGenomeSize 2913022398 --binSize 1 -p 5 --normalizeUsing RPGC --bam $i --outFileName ${i/.bam/_RPGC_ExtendCentered.bedgraph} --outFileFormat "bedgraph"; done


for i in *sorted_len.bedgraph; do bedtools map -a AS_AllTSSList_2000bp_1bpwindow_sorted.bed -b $i -c 4 -o mean -null 0 > ./AllTSS_2kb/${i/sorted_len.bedgraph/2000bp_counted_mean.bed};done
#This is done

for i in *sorted_len.bedgraph; do bedtools map -a ../TSS_Lists/AS_unchanged_window2000_1bpwindow_sorted.bed -b $i -c 4 -null 0 > ./Unchanged_2kb/${i/sorted.bedgraph/unchanged_2000bp_counted.bed};done
# This is done

Best_IFN_Transcript <- read.csv("~/Desktop/Heatmap_Plots/List_of_104_ISGs.csv")

colnames(Best_IFN_Transcript)[c(2)] <- "ENSG"

Best_IFN_Transcript <- Best_IFN_Transcript %>% arrange(desc(score))


### All PollII Untreated, ISG list


AS_U4_PolII <- read.delim("/Volumes/fh/fast/tapscott_s/user/sbennett/PolII_CutTag_Resequence/DM6_normed_bedgraphs/AllTSS_2kb/AS_U4_PolII_Rep1_merged_trimmed_GRCh38_bowtie2_2000bp_counted_mean.bed", sep = "\t", header = FALSE)
colnames(AS_U4_PolII) <- c("chr", "start", "stop", "ENST", "intensity")

AS_U4_PolII$binnum <- as.numeric(sapply(strsplit(AS_U4_PolII$ENST, "_"), "[", 2))
AS_U4_PolII$ENST <- as.factor(sapply(strsplit(AS_U4_PolII$ENST, "_"), "[", 1))

AS_U4_PolII <- merge(AS_U4_PolII, Best_IFN_Transcript, by = "ENST", all.y = TRUE)

AS_U4_PolII <- AS_U4_PolII%>% group_by(ENST) %>% mutate(newbin = binnum -1000 + 1) %>%
  mutate(newbin = ifelse(strand == "-", newbin * -1, newbin * 1))  %>% arrange(chr, ENST, newbin)

AS_U4_PolII_line_ISGs <- as.data.frame(seq(-1000, 1000, by = 1))
AS_U4_PolII_line_ISGs <- AS_U4_PolII %>% group_by(newbin) %>% summarise(posSum =sum(intensity))
colnames(AS_U4_PolII_line_ISGs)[1] <- "pos"


#U5 PollII rep 2
AS_U5_PolII <- read.delim("/Volumes/fh/fast/tapscott_s/user/sbennett/PolII_CutTag_Resequence/DM6_normed_bedgraphs/AllTSS_2kb/AS_U5_PolII_Rep2_merged_trimmed_GRCh38_bowtie2_2000bp_counted_mean.bed", sep = "\t", header = FALSE)
colnames(AS_U5_PolII) <- c("chr", "start", "stop", "ENST", "intensity")

AS_U5_PolII$binnum <- as.numeric(sapply(strsplit(AS_U5_PolII$ENST, "_"), "[", 2))
AS_U5_PolII$ENST <- as.factor(sapply(strsplit(AS_U5_PolII$ENST, "_"), "[", 1))

AS_U5_PolII <- merge(AS_U5_PolII, Best_IFN_Transcript, by = "ENST", all.y = TRUE)

AS_U5_PolII <- AS_U5_PolII%>% group_by(ENST) %>% mutate(newbin = binnum -1000 + 1) %>%
  mutate(newbin = ifelse(strand == "-", newbin * -1, newbin * 1))  %>% arrange(chr, ENST, newbin)

AS_U5_PolII_line_ISGs <- as.data.frame(seq(-1000, 1000, by = 1))
AS_U5_PolII_line_ISGs <- AS_U5_PolII %>% group_by(newbin) %>% summarise(posSum =sum(intensity))
colnames(AS_U5_PolII_line_ISGs)[1] <- "pos"


#I4 PollII rep 1
AS_I4_PolII <- read.delim("/Volumes/fh/fast/tapscott_s/user/sbennett/PolII_CutTag_Resequence/DM6_normed_bedgraphs/AllTSS_2kb/AS_I4_PolII_Rep1_merged_trimmed_GRCh38_bowtie2_2000bp_counted_mean.bed", sep = "\t", header = FALSE)
colnames(AS_I4_PolII) <- c("chr", "start", "stop", "ENST", "intensity")

AS_I4_PolII$binnum <- as.numeric(sapply(strsplit(AS_I4_PolII$ENST, "_"), "[", 2))
AS_I4_PolII$ENST <- as.factor(sapply(strsplit(AS_I4_PolII$ENST, "_"), "[", 1))

AS_I4_PolII <- merge(AS_I4_PolII, Best_IFN_Transcript, by = "ENST", all.y = TRUE)

AS_I4_PolII <- AS_I4_PolII%>% group_by(ENST) %>% mutate(newbin = binnum -1000 + 1) %>%
  mutate(newbin = ifelse(strand == "-", newbin * -1, newbin * 1))  %>% arrange(chr, ENST, newbin)

AS_I4_PolII_line_ISGs <- as.data.frame(seq(-1000, 1000, by = 1))
AS_I4_PolII_line_ISGs <- AS_I4_PolII %>% group_by(newbin) %>% summarise(posSum =sum(intensity))
colnames(AS_I4_PolII_line_ISGs)[1] <- "pos"


#I5 PollII rep 2
AS_I5_PolII <- read.delim("/Volumes/fh/fast/tapscott_s/user/sbennett/PolII_CutTag_Resequence/DM6_normed_bedgraphs/AllTSS_2kb/AS_I5_PolII_Rep2_merged_trimmed_GRCh38_bowtie2_2000bp_counted_mean.bed", sep = "\t", header = FALSE)
colnames(AS_I5_PolII) <- c("chr", "start", "stop", "ENST", "intensity")

AS_I5_PolII$binnum <- as.numeric(sapply(strsplit(AS_I5_PolII$ENST, "_"), "[", 2))
AS_I5_PolII$ENST <- as.factor(sapply(strsplit(AS_I5_PolII$ENST, "_"), "[", 1))

AS_I5_PolII <- merge(AS_I5_PolII, Best_IFN_Transcript, by = "ENST", all.y = TRUE)

AS_I5_PolII <- AS_I5_PolII%>% group_by(ENST) %>% mutate(newbin = binnum -1000 + 1) %>%
  mutate(newbin = ifelse(strand == "-", newbin * -1, newbin * 1))  %>% arrange(chr, ENST, newbin)

AS_I5_PolII_line_ISGs <- as.data.frame(seq(-1000, 1000, by = 1))
AS_I5_PolII_line_ISGs <- AS_I5_PolII %>% group_by(newbin) %>% summarise(posSum =sum(intensity))
colnames(AS_I5_PolII_line_ISGs)[1] <- "pos"


#I4 PollII rep 1
AS_DI4_PolII <- read.delim("/Volumes/fh/fast/tapscott_s/user/sbennett/PolII_CutTag_Resequence/DM6_normed_bedgraphs/AllTSS_2kb/AS_DI4_PolII_Rep1_merged_trimmed_GRCh38_bowtie2_2000bp_counted_mean.bed", sep = "\t", header = FALSE)
colnames(AS_DI4_PolII) <- c("chr", "start", "stop", "ENST", "intensity")

AS_DI4_PolII$binnum <- as.numeric(sapply(strsplit(AS_DI4_PolII$ENST, "_"), "[", 2))
AS_DI4_PolII$ENST <- as.factor(sapply(strsplit(AS_DI4_PolII$ENST, "_"), "[", 1))

AS_DI4_PolII <- merge(AS_DI4_PolII, Best_IFN_Transcript, by = "ENST", all.y = TRUE)

AS_DI4_PolII <- AS_DI4_PolII%>% group_by(ENST) %>% mutate(newbin = binnum -1000 + 1) %>%
  mutate(newbin = ifelse(strand == "-", newbin * -1, newbin * 1))  %>% arrange(chr, ENST, newbin)

AS_DI4_PolII_line_ISGs <- as.data.frame(seq(-1000, 1000, by = 1))
AS_DI4_PolII_line_ISGs <- AS_DI4_PolII %>% group_by(newbin) %>% summarise(posSum =sum(intensity))
colnames(AS_DI4_PolII_line_ISGs)[1] <- "pos"


#I5 PollII rep 1
AS_DI5_PolII <- read.delim("/Volumes/fh/fast/tapscott_s/user/sbennett/PolII_CutTag_Resequence/DM6_normed_bedgraphs/AllTSS_2kb/AS_DI5_PolII_Rep2_merged_trimmed_GRCh38_bowtie2_2000bp_counted_mean.bed", sep = "\t", header = FALSE)
colnames(AS_DI5_PolII) <- c("chr", "start", "stop", "ENST", "intensity")

AS_DI5_PolII$binnum <- as.numeric(sapply(strsplit(AS_DI5_PolII$ENST, "_"), "[", 2))
AS_DI5_PolII$ENST <- as.factor(sapply(strsplit(AS_DI5_PolII$ENST, "_"), "[", 1))

AS_DI5_PolII <- merge(AS_DI5_PolII, Best_IFN_Transcript, by = "ENST", all.y = TRUE)

AS_DI5_PolII <- AS_DI5_PolII%>% group_by(ENST) %>% mutate(newbin = binnum -1000 + 1) %>%
  mutate(newbin = ifelse(strand == "-", newbin * -1, newbin * 1))  %>% arrange(chr, ENST, newbin)

AS_DI5_PolII_line_ISGs <- as.data.frame(seq(-1000, 1000, by = 1))
AS_DI5_PolII_line_ISGs <- AS_DI5_PolII %>% group_by(newbin) %>% summarise(posSum =sum(intensity))
colnames(AS_DI5_PolII_line_ISGs)[1] <- "pos"


#NS_U3 PollII rep 1
NS_U3_PolII <- read.delim("/Volumes/fh/fast/tapscott_s/user/sbennett/PolII_CutTag_Resequence/DM6_normed_bedgraphs/AllTSS_2kb/NS_U3_PolII_Rep1_merged_trimmed_GRCh38_bowtie2_2000bp_counted_mean.bed", sep = "\t", header = FALSE)
colnames(NS_U3_PolII) <- c("chr", "start", "stop", "ENST", "intensity")

NS_U3_PolII$binnum <- as.numeric(sapply(strsplit(NS_U3_PolII$ENST, "_"), "[", 2))
NS_U3_PolII$ENST <- as.factor(sapply(strsplit(NS_U3_PolII$ENST, "_"), "[", 1))

NS_U3_PolII <- merge(NS_U3_PolII, Best_IFN_Transcript, by = "ENST", all.y = TRUE)

NS_U3_PolII <- NS_U3_PolII%>% group_by(ENST) %>% mutate(newbin = binnum -1000 + 1) %>%
  mutate(newbin = ifelse(strand == "-", newbin * -1, newbin * 1))  %>% arrange(chr, ENST, newbin)

NS_U3_PolII_line_ISGs <- as.data.frame(seq(-1000, 1000, by = 1))
NS_U3_PolII_line_ISGs <- NS_U3_PolII %>% group_by(newbin) %>% summarise(posSum =sum(intensity))
colnames(NS_U3_PolII_line_ISGs)[1] <- "pos"

#NS_U4 PollII rep 2
NS_U4_PollII <- read.delim("/Volumes/fh/fast/tapscott_s/user/sbennett/PolII_CutTag_Resequence/DM6_normed_bedgraphs/AllTSS_2kb/NS_U4_PolII_Rep2_merged_trimmed_GRCh38_bowtie2_2000bp_counted_mean.bed", sep = "\t", header = FALSE)
colnames(NS_U4_PollII) <- c("chr", "start", "stop", "ENST", "intensity")

NS_U4_PollII$binnum <- as.numeric(sapply(strsplit(NS_U4_PollII$ENST, "_"), "[", 2))
NS_U4_PollII$ENST <- as.factor(sapply(strsplit(NS_U4_PollII$ENST, "_"), "[", 1))

NS_U4_PollII <- merge(NS_U4_PollII, Best_IFN_Transcript, by = "ENST", all.y = TRUE)

NS_U4_PollII <- NS_U4_PollII%>% group_by(ENST) %>% mutate(newbin = binnum -1000 + 1) %>%
  mutate(newbin = ifelse(strand == "-", newbin * -1, newbin * 1))  %>% arrange(chr, ENST, newbin)

NS_U4_PolII_line_ISGs <- as.data.frame(seq(-1000, 1000, by = 1))
NS_U4_PolII_line_ISGs <- NS_U4_PollII %>% group_by(newbin) %>% summarise(posSum =sum(intensity))
colnames(NS_U4_PolII_line_ISGs)[1] <- "pos"

#NS_I3_PolII rep 1
NS_I3_PolII <- read.delim("/Volumes/fh/fast/tapscott_s/user/sbennett/PolII_CutTag_Resequence/DM6_normed_bedgraphs/AllTSS_2kb/NS_I3_PolII_Rep1_merged_trimmed_GRCh38_bowtie2_2000bp_counted_mean.bed", sep = "\t", header = FALSE)
colnames(NS_I3_PolII) <- c("chr", "start", "stop", "ENST", "intensity")

NS_I3_PolII$binnum <- as.numeric(sapply(strsplit(NS_I3_PolII$ENST, "_"), "[", 2))
NS_I3_PolII$ENST <- as.factor(sapply(strsplit(NS_I3_PolII$ENST, "_"), "[", 1))

NS_I3_PolII <- merge(NS_I3_PolII, Best_IFN_Transcript, by = "ENST", all.y = TRUE)

NS_I3_PolII <- NS_I3_PolII%>% group_by(ENST) %>% mutate(newbin = binnum -1000 + 1) %>%
  mutate(newbin = ifelse(strand == "-", newbin * -1, newbin * 1))  %>% arrange(chr, ENST, newbin)

NS_I3_PolII_line_ISGs <- as.data.frame(seq(-1000, 1000, by = 1))
NS_I3_PolII_line_ISGs <- NS_I3_PolII %>% group_by(newbin) %>% summarise(posSum =sum(intensity))
colnames(NS_I3_PolII_line_ISGs)[1] <- "pos"

#NS_I4_PolII rep 2
NS_I4_PolII <- read.delim("/Volumes/fh/fast/tapscott_s/user/sbennett/PolII_CutTag_Resequence/DM6_normed_bedgraphs/AllTSS_2kb/NS_I4_PolII_Rep2_merged_trimmed_GRCh38_bowtie2_2000bp_counted_mean.bed", sep = "\t", header = FALSE)
colnames(NS_I4_PolII) <- c("chr", "start", "stop", "ENST", "intensity")

NS_I4_PolII$binnum <- as.numeric(sapply(strsplit(NS_I4_PolII$ENST, "_"), "[", 2))
NS_I4_PolII$ENST <- as.factor(sapply(strsplit(NS_I4_PolII$ENST, "_"), "[", 1))

NS_I4_PolII <- merge(NS_I4_PolII, Best_IFN_Transcript, by = "ENST", all.y = TRUE)

NS_I4_PolII <- NS_I4_PolII%>% group_by(ENST) %>% mutate(newbin = binnum -1000 + 1) %>%
  mutate(newbin = ifelse(strand == "-", newbin * -1, newbin * 1))  %>% arrange(chr, ENST, newbin)

NS_I4_PolII_line_ISGs <- as.data.frame(seq(-1000, 1000, by = 1))
NS_I4_PolII_line_ISGs <- NS_I4_PolII %>% group_by(newbin) %>% summarise(posSum =sum(intensity))
colnames(NS_I4_PolII_line_ISGs)[1] <- "pos"


#NS_DI3_PolII rep 1
NS_DI3_PolII <- read.delim("/Volumes/fh/fast/tapscott_s/user/sbennett/PolII_CutTag_Resequence/DM6_normed_bedgraphs/AllTSS_2kb/NS_DI3_PolII_Rep1_merged_trimmed_GRCh38_bowtie2_2000bp_counted_mean.bed", sep = "\t", header = FALSE)
colnames(NS_DI3_PolII) <- c("chr", "start", "stop", "ENST", "intensity")

NS_DI3_PolII$binnum <- as.numeric(sapply(strsplit(NS_DI3_PolII$ENST, "_"), "[", 2))
NS_DI3_PolII$ENST <- as.factor(sapply(strsplit(NS_DI3_PolII$ENST, "_"), "[", 1))

NS_DI3_PolII <- merge(NS_DI3_PolII, Best_IFN_Transcript, by = "ENST", all.y = TRUE)

NS_DI3_PolII <- NS_DI3_PolII%>% group_by(ENST) %>% mutate(newbin = binnum -1000 + 1) %>%
  mutate(newbin = ifelse(strand == "-", newbin * -1, newbin * 1))  %>% arrange(chr, ENST, newbin)

NS_DI3_PolII_line_ISGs <- as.data.frame(seq(-1000, 1000, by = 1))
NS_DI3_PolII_line_ISGs <- NS_DI3_PolII %>% group_by(newbin) %>% summarise(posSum =sum(intensity))
colnames(NS_DI3_PolII_line_ISGs)[1] <- "pos"

#NS_DI4_PolII rep 2
NS_DI4_PolII <- read.delim("/Volumes/fh/fast/tapscott_s/user/sbennett/PolII_CutTag_Resequence/DM6_normed_bedgraphs/AllTSS_2kb/NS_DI4_PolII_Rep2_merged_trimmed_GRCh38_bowtie2_2000bp_counted_mean.bed", sep = "\t", header = FALSE)
colnames(NS_DI4_PolII) <- c("chr", "start", "stop", "ENST", "intensity")

NS_DI4_PolII$binnum <- as.numeric(sapply(strsplit(NS_DI4_PolII$ENST, "_"), "[", 2))
NS_DI4_PolII$ENST <- as.factor(sapply(strsplit(NS_DI4_PolII$ENST, "_"), "[", 1))

NS_DI4_PolII <- merge(NS_DI4_PolII, Best_IFN_Transcript, by = "ENST", all.y = TRUE)

NS_DI4_PolII <- NS_DI4_PolII%>% group_by(ENST) %>% mutate(newbin = binnum -1000 + 1) %>%
  mutate(newbin = ifelse(strand == "-", newbin * -1, newbin * 1))  %>% arrange(chr, ENST, newbin)

NS_DI4_PolII_line_ISGs <- as.data.frame(seq(-1000, 1000, by = 1))
NS_DI4_PolII_line_ISGs <- NS_DI4_PolII %>% group_by(newbin) %>% summarise(posSum =sum(intensity))
colnames(NS_DI4_PolII_line_ISGs)[1] <- "pos"


PolII_Line_Merge <- AS_U4_PolII_line_ISGs
colnames(PolII_Line_Merge)[2] <- "AS_U4_PolII_Line_posSum"
PolII_Line_Merge$AS_U5_PolII_Line_posSum <- AS_U5_PolII_line_ISGs$posSum
PolII_Line_Merge$AS_I4_PolII_Line_posSum <- AS_I4_PolII_line_ISGs$posSum
PolII_Line_Merge$AS_I5_PolII_Line_posSum <- AS_I5_PolII_line_ISGs$posSum
PolII_Line_Merge$AS_DI4_PolII_Line_posSum <- AS_DI4_PolII_line_ISGs$posSum
PolII_Line_Merge$AS_DI5_PolII_Line_posSum <- AS_DI5_PolII_line_ISGs$posSum
  
PolII_Line_Merge$NS_U3_PolII_Line_posSum <- NS_U3_PolII_line_ISGs$posSum
PolII_Line_Merge$NS_U4_PolII_Line_posSum <- NS_U4_PolII_line_ISGs$posSum
PolII_Line_Merge$NS_I3_PolII_Line_posSum <- NS_I3_PolII_line_ISGs$posSum 
PolII_Line_Merge$NS_I4_PolII_Line_posSum <- NS_I4_PolII_line_ISGs$posSum
PolII_Line_Merge$NS_DI3_PolII_Line_posSum <- NS_DI3_PolII_line_ISGs$posSum
PolII_Line_Merge$NS_DI4_PolII_Line_posSum <- NS_DI4_PolII_line_ISGs$posSum

PolII_Line_Merge <- PolII_Line_Merge %>% 
                      rowwise() %>%
                      mutate(AS_Unt_Mean = mean(c(AS_U4_PolII_Line_posSum, AS_U5_PolII_Line_posSum))) %>%
                      mutate(AS_IFN_Mean = mean(c(AS_I4_PolII_Line_posSum, AS_I5_PolII_Line_posSum))) %>%  
                      mutate(AS_DI_Mean = mean(c(AS_DI4_PolII_Line_posSum, AS_DI5_PolII_Line_posSum))) %>%
                      mutate(NS_Unt_Mean = mean(c(NS_U3_PolII_Line_posSum, NS_U4_PolII_Line_posSum))) %>%
                      mutate(NS_IFN_Mean = mean(c(NS_I3_PolII_Line_posSum, NS_I4_PolII_Line_posSum))) %>%
                      mutate(NS_DI_Mean = mean(c(NS_DI3_PolII_Line_posSum, NS_DI4_PolII_Line_posSum))) %>%
                      mutate(All_Unt_Mean = mean(c(AS_U4_PolII_Line_posSum, AS_U5_PolII_Line_posSum, NS_U3_PolII_Line_posSum, NS_U4_PolII_Line_posSum))) %>%
                      mutate(All_IFN_Mean = mean(c(AS_I4_PolII_Line_posSum, AS_I5_PolII_Line_posSum, NS_I3_PolII_Line_posSum, NS_I4_PolII_Line_posSum))) %>%
                      mutate(All_DI_Mean = mean(c(AS_DI4_PolII_Line_posSum, AS_DI5_PolII_Line_posSum, NS_DI3_PolII_Line_posSum, NS_DI4_PolII_Line_posSum))) 


write.csv(PolII_Line_Merge, "/Volumes/fh/fast/tapscott_s/user/sbennett/PolII_CutTag_Resequence/PolII_LineGraph_2kb_TopTranscript_ISG_all_sample_merge.csv")

AS_AllSamples_ISG <- ggplot(data = PolII_Line_Merge, aes(x = pos)) +
  geom_line(aes(y = AS_U4_PolII_Line_posSum, color = "Untreated")) + 
  geom_line(aes(y = AS_U5_PolII_Line_posSum, color = "Untreated")) +
  geom_line(aes(y = AS_I4_PolII_Line_posSum, color = "IFNg")) +
  geom_line(aes(y = AS_I5_PolII_Line_posSum, color = "IFNg")) +
  geom_line(aes(y = AS_DI4_PolII_Line_posSum, color = "DoxIFNg")) +
  geom_line(aes(y = AS_DI5_PolII_Line_posSum, color = "DoxIFNg")) +
  scale_color_manual("", breaks = c("Untreated", "IFNg", "DoxIFNg"), 
    values = c("Untreated" = "green", "IFNg" = "blue", "DoxIFNg"="red")) +
  ylab("intensity") +
  xlab("position") +
  ylim(c(0,350)) +
  ggtitle("Sum of per base PolII intensity, ISG list, All AS Samples")
ggsave(plot = AS_AllSamples_ISG, filename = "/Volumes/fh/fast/tapscott_s/user/sbennett/PolII_CutTag_Resequence/plots/AS_ISGs_AllSamples_LinePlot.png")

NS_AllSamples_ISG <- ggplot(data = PolII_Line_Merge, aes(x = pos)) +
  geom_line(aes(y = NS_U3_PolII_Line_posSum, color = "Untreated")) + 
  geom_line(aes(y = NS_U4_PolII_Line_posSum, color = "Untreated")) +
  geom_line(aes(y = NS_I3_PolII_Line_posSum, color = "IFNg")) +
  geom_line(aes(y = NS_I4_PolII_Line_posSum, color = "IFNg")) +
  geom_line(aes(y = NS_DI3_PolII_Line_posSum, color = "DoxIFNg")) +
  geom_line(aes(y = NS_DI4_PolII_Line_posSum, color = "DoxIFNg")) +
  scale_color_manual("", breaks = c("Untreated", "IFNg", "DoxIFNg"), 
    values = c("Untreated" = "green", "IFNg" = "blue", "DoxIFNg"="red")) +
  ylab("intensity") +
  xlab("position") +
  ylim(c(0,350)) +
  ggtitle("Sum of per base PolII intensity, ISG list, all NS samples")
ggsave(plot = NS_AllSamples_ISG, filename = "/Volumes/fh/fast/tapscott_s/user/sbennett/PolII_CutTag_Resequence/plots/NS_ISGs_AllSamples_LinePlot.png")

AS_Mean_ISG <- ggplot(data = PolII_Line_Merge, aes(x = pos)) +
  geom_line(aes(y = AS_Unt_Mean, color = "Untreated")) + 
  geom_line(aes(y = AS_IFN_Mean, color = "IFNg")) +
  geom_line(aes(y = AS_DI_Mean, color = "DoxIFNg")) +
  scale_color_manual("", breaks = c("Untreated", "IFNg", "DoxIFNg"), 
    values = c("Untreated" = "green", "IFNg" = "blue", "DoxIFNg"="red")) +
  ylab("intensity") +
  xlab("position") +
  ylim(c(0,350)) +
  ggtitle("Sum of per base PolII intensity, ISG list, Mean AS Samples")
ggsave(plot = AS_Mean_ISG, filename = "/Volumes/fh/fast/tapscott_s/user/sbennett/PolII_CutTag_Resequence/plots/AS_ISG_Mean_LinePlot.png")

AS_Mean_ISG_smoothed <- ggplot(data = PolII_Line_Merge, aes(x = pos)) +
  geom_smooth(aes(y = AS_Unt_Mean, color = "Untreated" )) +
  geom_smooth(aes(y = AS_IFN_Mean, color = "IFNg" )) +
  geom_smooth(aes(y = AS_DI_Mean, color = "DoxIFNg" )) +
  scale_color_manual("", breaks = c("Untreated", "IFNg", "DoxIFNg"),
                     values = c("Untreated" = "green", "IFNg" = "blue", "DoxIFNg"="red")) +
  ylab("intensity") +
  xlab("position") +
  ylim(c(0,350)) +
  ggtitle("Sum of per base PolII intensity, ISG list, Mean AS Samples, Smoothed")
ggsave(plot = AS_Mean_ISG_smoothed, filename = "/Volumes/fh/fast/tapscott_s/user/sbennett/PolII_CutTag_Resequence/plots/AS_PolII_ISG_Mean_LinePlot_smoothed.png")

PolII_Line_Merge <- read.csv("/Volumes/fh/fast/tapscott_s/user/sbennett/PolII_CutTag_Resequence/PolII_LineGraph_2kb_TopTranscript_ISG_all_sample_merge.csv")

AS_Mean_ISG_smoothed <- ggplot(data = PolII_Line_Merge, aes(x = pos)) +
  geom_smooth(aes(y = AS_Unt_Mean, color = "Untreated" )) +
  geom_smooth(aes(y = AS_IFN_Mean, color = "IFNg" )) +
  geom_smooth(aes(y = AS_DI_Mean, color = "DoxIFNg" )) +
  scale_color_manual("", breaks = c("Untreated", "IFNg", "DoxIFNg"),
                     values = c("Untreated" = "green", "IFNg" = "blue", "DoxIFNg"="red")) +
  ylab("intensity") +
  xlab("position") +
  ylim(c(0,600)) +
  ggtitle("Sum of per base PolII intensity, ISG list, Mean AS Samples, Smoothed")
ggsave(plot = AS_Mean_ISG_smoothed, filename = "/Volumes/fh/fast/tapscott_s/user/sbennett/PolII_CutTag_Resequence/plots/AS_PolII_ISG_Mean_LinePlot_smoothed.png")






Best_Unchanged_Transcript <- read.csv("~/Desktop/Heatmap_Plots/List_of_104_unchanged.csv")

colnames(Best_Unchanged_Transcript)[c(2)] <- "ENSG"

#Best_IFN_Transcript <- Best_Unchanged_Transcript %>% arrange(desc(score))







### All PollII Untreated, ISG list


AS_U4_PolII <- read.delim("/Volumes/fh/fast/tapscott_s/user/sbennett/PolII_CutTag_Resequence/DM6_normed_bedgraphs/Unchanged_2kb/AS_U4_PolII_Rep1_merged_trimmed_GRCh38_bowtie2_sorted_len.bedgraph", sep = "\t", header = FALSE)
colnames(AS_U4_PolII) <- c("chr", "start", "stop", "ENST", "intensity")

AS_U4_PolII$binnum <- as.numeric(sapply(strsplit(AS_U4_PolII$ENST, "_"), "[", 2))
AS_U4_PolII$ENST <- as.factor(sapply(strsplit(AS_U4_PolII$ENST, "_"), "[", 1))

AS_U4_PolII <- merge(AS_U4_PolII, Best_Unchanged_Transcript, by = "ENST", all.y = TRUE)

AS_U4_PolII <- AS_U4_PolII%>% group_by(ENST) %>% mutate(newbin = binnum -1000 + 1) %>%
  mutate(newbin = ifelse(strand == "-", newbin * -1, newbin * 1))  %>% arrange(chr, ENST, newbin)

AS_U4_PolII_line_ISGs <- as.data.frame(seq(-1000, 1000, by = 1))
AS_U4_PolII_line_ISGs <- AS_U4_PolII %>% group_by(newbin) %>% summarise(posSum =sum(intensity))
colnames(AS_U4_PolII_line_ISGs)[1] <- "pos"


#U5 PollII rep 2
AS_U5_PolII <- read.delim("/Volumes/fh/fast/tapscott_s/user/sbennett/PolII_CutTag_Resequence/DM6_normed_bedgraphs/Unchanged_2kb/AS_U5_PolII_Rep2_merged_trimmed_GRCh38_bowtie2_sorted_len.bedgraph", sep = "\t", header = FALSE)
colnames(AS_U5_PolII) <- c("chr", "start", "stop", "ENST", "intensity")

AS_U5_PolII$binnum <- as.numeric(sapply(strsplit(AS_U5_PolII$ENST, "_"), "[", 2))
AS_U5_PolII$ENST <- as.factor(sapply(strsplit(AS_U5_PolII$ENST, "_"), "[", 1))

AS_U5_PolII <- merge(AS_U5_PolII, Best_Unchanged_Transcript, by = "ENST", all.y = TRUE)

AS_U5_PolII <- AS_U5_PolII%>% group_by(ENST) %>% mutate(newbin = binnum -1000 + 1) %>%
  mutate(newbin = ifelse(strand == "-", newbin * -1, newbin * 1))  %>% arrange(chr, ENST, newbin)

AS_U5_PolII_line_ISGs <- as.data.frame(seq(-1000, 1000, by = 1))
AS_U5_PolII_line_ISGs <- AS_U5_PolII %>% group_by(newbin) %>% summarise(posSum =sum(intensity))
colnames(AS_U5_PolII_line_ISGs)[1] <- "pos"


#I4 PollII rep 1
AS_I4_PolII <- read.delim("/Volumes/fh/fast/tapscott_s/user/sbennett/PolII_CutTag_Resequence/DM6_normed_bedgraphs/Unchanged_2kb/AS_I4_PolII_Rep1_merged_trimmed_GRCh38_bowtie2_sorted_len.bedgraph", sep = "\t", header = FALSE)
colnames(AS_I4_PolII) <- c("chr", "start", "stop", "ENST", "intensity")

AS_I4_PolII$binnum <- as.numeric(sapply(strsplit(AS_I4_PolII$ENST, "_"), "[", 2))
AS_I4_PolII$ENST <- as.factor(sapply(strsplit(AS_I4_PolII$ENST, "_"), "[", 1))

AS_I4_PolII <- merge(AS_I4_PolII, Best_Unchanged_Transcript, by = "ENST", all.y = TRUE)

AS_I4_PolII <- AS_I4_PolII%>% group_by(ENST) %>% mutate(newbin = binnum -1000 + 1) %>%
  mutate(newbin = ifelse(strand == "-", newbin * -1, newbin * 1))  %>% arrange(chr, ENST, newbin)

AS_I4_PolII_line_ISGs <- as.data.frame(seq(-1000, 1000, by = 1))
AS_I4_PolII_line_ISGs <- AS_I4_PolII %>% group_by(newbin) %>% summarise(posSum =sum(intensity))
colnames(AS_I4_PolII_line_ISGs)[1] <- "pos"


#I5 PollII rep 2
AS_I5_PolII <- read.delim("/Volumes/fh/fast/tapscott_s/user/sbennett/PolII_CutTag_Resequence/DM6_normed_bedgraphs/Unchanged_2kb/AS_I5_PolII_Rep2_merged_trimmed_GRCh38_bowtie2_sorted_len.bedgraph", sep = "\t", header = FALSE)
colnames(AS_I5_PolII) <- c("chr", "start", "stop", "ENST", "intensity")

AS_I5_PolII$binnum <- as.numeric(sapply(strsplit(AS_I5_PolII$ENST, "_"), "[", 2))
AS_I5_PolII$ENST <- as.factor(sapply(strsplit(AS_I5_PolII$ENST, "_"), "[", 1))

AS_I5_PolII <- merge(AS_I5_PolII, Best_Unchanged_Transcript, by = "ENST", all.y = TRUE)

AS_I5_PolII <- AS_I5_PolII%>% group_by(ENST) %>% mutate(newbin = binnum -1000 + 1) %>%
  mutate(newbin = ifelse(strand == "-", newbin * -1, newbin * 1))  %>% arrange(chr, ENST, newbin)

AS_I5_PolII_line_ISGs <- as.data.frame(seq(-1000, 1000, by = 1))
AS_I5_PolII_line_ISGs <- AS_I5_PolII %>% group_by(newbin) %>% summarise(posSum =sum(intensity))
colnames(AS_I5_PolII_line_ISGs)[1] <- "pos"


#DI4 PollII rep 1
AS_DI4_PolII <- read.delim("/Volumes/fh/fast/tapscott_s/user/sbennett/PolII_CutTag_Resequence/DM6_normed_bedgraphs/Unchanged_2kb/AS_DI4_PolII_Rep1_merged_trimmed_GRCh38_bowtie2_sorted_len.bedgraph", sep = "\t", header = FALSE)
colnames(AS_DI4_PolII) <- c("chr", "start", "stop", "ENST", "intensity")

AS_DI4_PolII$binnum <- as.numeric(sapply(strsplit(AS_DI4_PolII$ENST, "_"), "[", 2))
AS_DI4_PolII$ENST <- as.factor(sapply(strsplit(AS_DI4_PolII$ENST, "_"), "[", 1))

AS_DI4_PolII <- merge(AS_DI4_PolII, Best_Unchanged_Transcript, by = "ENST", all.y = TRUE)

AS_DI4_PolII <- AS_DI4_PolII%>% group_by(ENST) %>% mutate(newbin = binnum -1000 + 1) %>%
  mutate(newbin = ifelse(strand == "-", newbin * -1, newbin * 1))  %>% arrange(chr, ENST, newbin)

AS_DI4_PolII_line_ISGs <- as.data.frame(seq(-1000, 1000, by = 1))
AS_DI4_PolII_line_ISGs <- AS_DI4_PolII %>% group_by(newbin) %>% summarise(posSum =sum(intensity))
colnames(AS_DI4_PolII_line_ISGs)[1] <- "pos"


#DI5 PollII rep 1
AS_DI5_PolII <- read.delim("/Volumes/fh/fast/tapscott_s/user/sbennett/PolII_CutTag_Resequence/DM6_normed_bedgraphs/Unchanged_2kb/AS_DI5_PolII_Rep2_merged_trimmed_GRCh38_bowtie2_sorted_len.bedgraph", sep = "\t", header = FALSE)
colnames(AS_DI5_PolII) <- c("chr", "start", "stop", "ENST", "intensity")

AS_DI5_PolII$binnum <- as.numeric(sapply(strsplit(AS_DI5_PolII$ENST, "_"), "[", 2))
AS_DI5_PolII$ENST <- as.factor(sapply(strsplit(AS_DI5_PolII$ENST, "_"), "[", 1))

AS_DI5_PolII <- merge(AS_DI5_PolII, Best_Unchanged_Transcript, by = "ENST", all.y = TRUE)

AS_DI5_PolII <- AS_DI5_PolII%>% group_by(ENST) %>% mutate(newbin = binnum -1000 + 1) %>%
  mutate(newbin = ifelse(strand == "-", newbin * -1, newbin * 1))  %>% arrange(chr, ENST, newbin)

AS_DI5_PolII_line_ISGs <- as.data.frame(seq(-1000, 1000, by = 1))
AS_DI5_PolII_line_ISGs <- AS_DI5_PolII %>% group_by(newbin) %>% summarise(posSum =sum(intensity))
colnames(AS_DI5_PolII_line_ISGs)[1] <- "pos"


#NS_U3 PollII rep 1
NS_U3_PolII <- read.delim("/Volumes/fh/fast/tapscott_s/user/sbennett/PolII_CutTag_Resequence/DM6_normed_bedgraphs/Unchanged_2kb/NS_U3_PolII_Rep1_merged_trimmed_GRCh38_bowtie2_sorted_len.bedgraph", sep = "\t", header = FALSE)
colnames(NS_U3_PolII) <- c("chr", "start", "stop", "ENST", "intensity")

NS_U3_PolII$binnum <- as.numeric(sapply(strsplit(NS_U3_PolII$ENST, "_"), "[", 2))
NS_U3_PolII$ENST <- as.factor(sapply(strsplit(NS_U3_PolII$ENST, "_"), "[", 1))

NS_U3_PolII <- merge(NS_U3_PolII, Best_Unchanged_Transcript, by = "ENST", all.y = TRUE)

NS_U3_PolII <- NS_U3_PolII%>% group_by(ENST) %>% mutate(newbin = binnum -1000 + 1) %>%
  mutate(newbin = ifelse(strand == "-", newbin * -1, newbin * 1))  %>% arrange(chr, ENST, newbin)

NS_U3_PolII_line_ISGs <- as.data.frame(seq(-1000, 1000, by = 1))
NS_U3_PolII_line_ISGs <- NS_U3_PolII %>% group_by(newbin) %>% summarise(posSum =sum(intensity))
colnames(NS_U3_PolII_line_ISGs)[1] <- "pos"

#NS_U4 PollII rep 2
NS_U4_PollII <- read.delim("/Volumes/fh/fast/tapscott_s/user/sbennett/PolII_CutTag_Resequence/DM6_normed_bedgraphs/Unchanged_2kb/NS_U4_PolII_Rep2_merged_trimmed_GRCh38_bowtie2_sorted_len.bedgraph", sep = "\t", header = FALSE)
colnames(NS_U4_PollII) <- c("chr", "start", "stop", "ENST", "intensity")

NS_U4_PollII$binnum <- as.numeric(sapply(strsplit(NS_U4_PollII$ENST, "_"), "[", 2))
NS_U4_PollII$ENST <- as.factor(sapply(strsplit(NS_U4_PollII$ENST, "_"), "[", 1))

NS_U4_PollII <- merge(NS_U4_PollII, Best_Unchanged_Transcript, by = "ENST", all.y = TRUE)

NS_U4_PollII <- NS_U4_PollII%>% group_by(ENST) %>% mutate(newbin = binnum -1000 + 1) %>%
  mutate(newbin = ifelse(strand == "-", newbin * -1, newbin * 1))  %>% arrange(chr, ENST, newbin)

NS_U4_PolII_line_ISGs <- as.data.frame(seq(-1000, 1000, by = 1))
NS_U4_PolII_line_ISGs <- NS_U4_PollII %>% group_by(newbin) %>% summarise(posSum =sum(intensity))
colnames(NS_U4_PolII_line_ISGs)[1] <- "pos"

#NS_I3_PolII rep 1
NS_I3_PolII <- read.delim("/Volumes/fh/fast/tapscott_s/user/sbennett/PolII_CutTag_Resequence/DM6_normed_bedgraphs/Unchanged_2kb/NS_I3_PolII_Rep1_merged_trimmed_GRCh38_bowtie2_sorted_len.bedgraph", sep = "\t", header = FALSE)
colnames(NS_I3_PolII) <- c("chr", "start", "stop", "ENST", "intensity")

NS_I3_PolII$binnum <- as.numeric(sapply(strsplit(NS_I3_PolII$ENST, "_"), "[", 2))
NS_I3_PolII$ENST <- as.factor(sapply(strsplit(NS_I3_PolII$ENST, "_"), "[", 1))

NS_I3_PolII <- merge(NS_I3_PolII, Best_Unchanged_Transcript, by = "ENST", all.y = TRUE)

NS_I3_PolII <- NS_I3_PolII%>% group_by(ENST) %>% mutate(newbin = binnum -1000 + 1) %>%
  mutate(newbin = ifelse(strand == "-", newbin * -1, newbin * 1))  %>% arrange(chr, ENST, newbin)

NS_I3_PolII_line_ISGs <- as.data.frame(seq(-1000, 1000, by = 1))
NS_I3_PolII_line_ISGs <- NS_I3_PolII %>% group_by(newbin) %>% summarise(posSum =sum(intensity))
colnames(NS_I3_PolII_line_ISGs)[1] <- "pos"

#NS_I4_PolII rep 2
NS_I4_PolII <- read.delim("/Volumes/fh/fast/tapscott_s/user/sbennett/PolII_CutTag_Resequence/DM6_normed_bedgraphs/Unchanged_2kb/NS_I4_PolII_Rep2_merged_trimmed_GRCh38_bowtie2_sorted_len.bedgraph", sep = "\t", header = FALSE)
colnames(NS_I4_PolII) <- c("chr", "start", "stop", "ENST", "intensity")

NS_I4_PolII$binnum <- as.numeric(sapply(strsplit(NS_I4_PolII$ENST, "_"), "[", 2))
NS_I4_PolII$ENST <- as.factor(sapply(strsplit(NS_I4_PolII$ENST, "_"), "[", 1))

NS_I4_PolII <- merge(NS_I4_PolII, Best_Unchanged_Transcript, by = "ENST", all.y = TRUE)

NS_I4_PolII <- NS_I4_PolII%>% group_by(ENST) %>% mutate(newbin = binnum -1000 + 1) %>%
  mutate(newbin = ifelse(strand == "-", newbin * -1, newbin * 1))  %>% arrange(chr, ENST, newbin)

NS_I4_PolII_line_ISGs <- as.data.frame(seq(-1000, 1000, by = 1))
NS_I4_PolII_line_ISGs <- NS_I4_PolII %>% group_by(newbin) %>% summarise(posSum =sum(intensity))
colnames(NS_I4_PolII_line_ISGs)[1] <- "pos"


#NS_DI3_PolII rep 1
NS_DI3_PolII <- read.delim("/Volumes/fh/fast/tapscott_s/user/sbennett/PolII_CutTag_Resequence/DM6_normed_bedgraphs/Unchanged_2kb/NS_DI3_PolII_Rep1_merged_trimmed_GRCh38_bowtie2_sorted_len.bedgraph", sep = "\t", header = FALSE)
colnames(NS_DI3_PolII) <- c("chr", "start", "stop", "ENST", "intensity")

NS_DI3_PolII$binnum <- as.numeric(sapply(strsplit(NS_DI3_PolII$ENST, "_"), "[", 2))
NS_DI3_PolII$ENST <- as.factor(sapply(strsplit(NS_DI3_PolII$ENST, "_"), "[", 1))

NS_DI3_PolII <- merge(NS_DI3_PolII, Best_Unchanged_Transcript, by = "ENST", all.y = TRUE)

NS_DI3_PolII <- NS_DI3_PolII%>% group_by(ENST) %>% mutate(newbin = binnum -1000 + 1) %>%
  mutate(newbin = ifelse(strand == "-", newbin * -1, newbin * 1))  %>% arrange(chr, ENST, newbin)

NS_DI3_PolII_line_ISGs <- as.data.frame(seq(-1000, 1000, by = 1))
NS_DI3_PolII_line_ISGs <- NS_DI3_PolII %>% group_by(newbin) %>% summarise(posSum =sum(intensity))
colnames(NS_DI3_PolII_line_ISGs)[1] <- "pos"

#NS_DI4_PolII rep 2
NS_DI4_PolII <- read.delim("/Volumes/fh/fast/tapscott_s/user/sbennett/PolII_CutTag_Resequence/DM6_normed_bedgraphs/Unchanged_2kb/NS_DI4_PolII_Rep2_merged_trimmed_GRCh38_bowtie2_sorted_len.bedgraph", sep = "\t", header = FALSE)
colnames(NS_DI4_PolII) <- c("chr", "start", "stop", "ENST", "intensity")

NS_DI4_PolII$binnum <- as.numeric(sapply(strsplit(NS_DI4_PolII$ENST, "_"), "[", 2))
NS_DI4_PolII$ENST <- as.factor(sapply(strsplit(NS_DI4_PolII$ENST, "_"), "[", 1))

NS_DI4_PolII <- merge(NS_DI4_PolII, Best_Unchanged_Transcript, by = "ENST", all.y = TRUE)

NS_DI4_PolII <- NS_DI4_PolII%>% group_by(ENST) %>% mutate(newbin = binnum -1000 + 1) %>%
  mutate(newbin = ifelse(strand == "-", newbin * -1, newbin * 1))  %>% arrange(chr, ENST, newbin)

NS_DI4_PolII_line_ISGs <- as.data.frame(seq(-1000, 1000, by = 1))
NS_DI4_PolII_line_ISGs <- NS_DI4_PolII %>% group_by(newbin) %>% summarise(posSum =sum(intensity))
colnames(NS_DI4_PolII_line_ISGs)[1] <- "pos"


PolII_Line_Merge <- AS_U4_PolII_line_ISGs
colnames(PolII_Line_Merge)[2] <- "AS_U4_PolII_Line_posSum"
PolII_Line_Merge$AS_U5_PolII_Line_posSum <- AS_U5_PolII_line_ISGs$posSum
PolII_Line_Merge$AS_I4_PolII_Line_posSum <- AS_I4_PolII_line_ISGs$posSum
PolII_Line_Merge$AS_I5_PolII_Line_posSum <- AS_I5_PolII_line_ISGs$posSum
PolII_Line_Merge$AS_DI4_PolII_Line_posSum <- AS_DI4_PolII_line_ISGs$posSum
PolII_Line_Merge$AS_DI5_PolII_Line_posSum <- AS_DI5_PolII_line_ISGs$posSum
  
PolII_Line_Merge$NS_U3_PolII_Line_posSum <- NS_U3_PolII_line_ISGs$posSum
PolII_Line_Merge$NS_U4_PolII_Line_posSum <- NS_U4_PolII_line_ISGs$posSum
PolII_Line_Merge$NS_I3_PolII_Line_posSum <- NS_I3_PolII_line_ISGs$posSum 
PolII_Line_Merge$NS_I4_PolII_Line_posSum <- NS_I4_PolII_line_ISGs$posSum
PolII_Line_Merge$NS_DI3_PolII_Line_posSum <- NS_DI3_PolII_line_ISGs$posSum
PolII_Line_Merge$NS_DI4_PolII_Line_posSum <- NS_DI4_PolII_line_ISGs$posSum

PolII_Line_Merge <- PolII_Line_Merge %>% 
                      rowwise() %>%
                      mutate(AS_Unt_Mean = mean(c(AS_U4_PolII_Line_posSum, AS_U5_PolII_Line_posSum))) %>%
                      mutate(AS_IFN_Mean = mean(c(AS_I4_PolII_Line_posSum, AS_I5_PolII_Line_posSum))) %>%  
                      mutate(AS_DI_Mean = mean(c(AS_DI4_PolII_Line_posSum, AS_DI5_PolII_Line_posSum))) %>%
                      mutate(NS_Unt_Mean = mean(c(NS_U3_PolII_Line_posSum, NS_U4_PolII_Line_posSum))) %>%
                      mutate(NS_IFN_Mean = mean(c(NS_I3_PolII_Line_posSum, NS_I4_PolII_Line_posSum))) %>%
                      mutate(NS_DI_Mean = mean(c(NS_DI3_PolII_Line_posSum, NS_DI4_PolII_Line_posSum))) %>%
                      mutate(All_Unt_Mean = mean(c(AS_U4_PolII_Line_posSum, AS_U5_PolII_Line_posSum, NS_U3_PolII_Line_posSum, NS_U4_PolII_Line_posSum))) %>%
                      mutate(All_IFN_Mean = mean(c(AS_I4_PolII_Line_posSum, AS_I5_PolII_Line_posSum, NS_I3_PolII_Line_posSum, NS_I4_PolII_Line_posSum))) %>%
                      mutate(All_DI_Mean = mean(c(AS_DI4_PolII_Line_posSum, AS_DI5_PolII_Line_posSum, NS_DI3_PolII_Line_posSum, NS_DI4_PolII_Line_posSum))) 


write.csv(PolII_Line_Merge, "/Volumes/fh/fast/tapscott_s/user/sbennett/PolII_CutTag_Resequence/PolII_LineGraph_2kb_Unchanged_all_sample_merge.csv")

PolII_Line_Merge <- PolII_Line_Merge %>% 
                      rowwise() %>%
                      mutate(AS_Unt_Mean = mean(c(AS_U4_PolII_Line_posSum, AS_U5_PolII_Line_posSum))) %>%
                      mutate(AS_IFN_Mean = mean(c(AS_I4_PolII_Line_posSum, AS_I5_PolII_Line_posSum))) %>%  
                      mutate(AS_DI_Mean = mean(c(AS_DI4_PolII_Line_posSum, AS_DI5_PolII_Line_posSum))) %>%
                      mutate(NS_Unt_Mean = mean(c(NS_U3_PolII_Line_posSum, NS_U4_PolII_Line_posSum))) %>%
                      mutate(NS_IFN_Mean = mean(c(NS_I3_PolII_Line_posSum, NS_I4_PolII_Line_posSum))) %>%
                      mutate(NS_DI_Mean = mean(c(NS_DI3_PolII_Line_posSum, NS_DI4_PolII_Line_posSum))) %>%
                      mutate(All_Unt_Mean = mean(c(AS_U4_PolII_Line_posSum, AS_U5_PolII_Line_posSum, NS_U3_PolII_Line_posSum, NS_U4_PolII_Line_posSum))) %>%
                      mutate(All_IFN_Mean = mean(c(AS_I4_PolII_Line_posSum, AS_I5_PolII_Line_posSum, NS_I3_PolII_Line_posSum, NS_I4_PolII_Line_posSum))) %>%
                      mutate(All_DI_Mean = mean(c(AS_DI4_PolII_Line_posSum, AS_DI5_PolII_Line_posSum, NS_DI3_PolII_Line_posSum, NS_DI4_PolII_Line_posSum))) 


write.csv(PolII_Line_Merge, "/Volumes/fh/fast/tapscott_s/user/sbennett/PolII_CutTag_Resequence/PolII_LineGraph_2kb_TopTranscript_ISG_all_sample_merge.csv")

AS_AllSamples_Unchanged <- ggplot(data = PolII_Line_Merge, aes(x = pos)) +
  geom_line(aes(y = AS_U4_PolII_Line_posSum, color = "Untreated")) + 
  geom_line(aes(y = AS_U5_PolII_Line_posSum, color = "Untreated")) +
  geom_line(aes(y = AS_I4_PolII_Line_posSum, color = "IFNg")) +
  geom_line(aes(y = AS_I5_PolII_Line_posSum, color = "IFNg")) +
  geom_line(aes(y = AS_DI4_PolII_Line_posSum, color = "DoxIFNg")) +
  geom_line(aes(y = AS_DI5_PolII_Line_posSum, color = "DoxIFNg")) +
  scale_color_manual("", breaks = c("Untreated", "IFNg", "DoxIFNg"), 
    values = c("Untreated" = "green", "IFNg" = "blue", "DoxIFNg"="red")) +
  ylab("intensity") +
  xlab("position") +
  ylim(c(0,600)) +
  ggtitle("Sum of per base PolII intensity, Unchanged list, All AS Samples")

ggsave(plot = AS_AllSamples_Unchanged, filename = "/Volumes/fh/fast/tapscott_s/user/sbennett/PolII_CutTag_Resequence/plots/AS_Unchanged_Genes_AllSamples_LinePlot.png")

NS_AllSamples_Unchanged <- ggplot(data = PolII_Line_Merge, aes(x = pos)) +
  geom_line(aes(y = NS_U3_PolII_Line_posSum, color = "Untreated")) + 
  geom_line(aes(y = NS_U4_PolII_Line_posSum, color = "Untreated")) +
  geom_line(aes(y = NS_I3_PolII_Line_posSum, color = "IFNg")) +
  geom_line(aes(y = NS_I4_PolII_Line_posSum, color = "IFNg")) +
  geom_line(aes(y = NS_DI3_PolII_Line_posSum, color = "DoxIFNg")) +
  geom_line(aes(y = NS_DI4_PolII_Line_posSum, color = "DoxIFNg")) +
  scale_color_manual("", breaks = c("Untreated", "IFNg", "DoxIFNg"), 
    values = c("Untreated" = "green", "IFNg" = "blue", "DoxIFNg"="red")) +
  ylab("intensity") +
  xlab("position") +
  ylim(c(0,600)) +
  ggtitle("Sum of per base PolII intensity, Unchanged list, all NS samples")

ggsave(plot = NS_AllSamples_Unchanged, filename = "/Volumes/fh/fast/tapscott_s/user/sbennett/PolII_CutTag_Resequence/plots/NS_Unchanged_Genes_AllSamples_LinePlot.png")

AS_Mean_Unchanged <- ggplot(data = PolII_Line_Merge, aes(x = pos)) +
  geom_line(aes(y = AS_Unt_Mean, color = "Untreated")) + 
  geom_line(aes(y = AS_IFN_Mean, color = "IFNg")) +
  geom_line(aes(y = AS_DI_Mean, color = "DoxIFNg")) +
  scale_color_manual("", breaks = c("Untreated", "IFNg", "DoxIFNg"), 
    values = c("Untreated" = "green", "IFNg" = "blue", "DoxIFNg"="red")) +
  ylab("intensity") +
  xlab("position") +
  ylim(c(0,600)) +
  ggtitle("Sum of per base PolII intensity, Unchanged list, Mean AS Samples")

ggsave(plot = AS_Mean_Unchanged, filename = "/Volumes/fh/fast/tapscott_s/user/sbennett/PolII_CutTag_Resequence/plots/AS_Unchanged_Genes_Mean_LinePlot.png")

AS_Mean_Unchanged_smoothed <- ggplot(data = PolII_Line_Merge, aes(x = pos)) +
  geom_smooth(aes(y = AS_Unt_Mean, color = "Untreated" )) +
  geom_smooth(aes(y = AS_IFN_Mean, color = "IFNg" )) +
  geom_smooth(aes(y = AS_DI_Mean, color = "DoxIFNg" )) +
  scale_color_manual("", breaks = c("Untreated", "IFNg", "DoxIFNg"),
                     values = c("Untreated" = "green", "IFNg" = "blue", "DoxIFNg"="red")) +
  ylab("intensity") +
  xlab("position") +
  ylim(c(0,600)) +
  ggtitle("Sum of per base PolII intensity, Unchanged list, Mean AS Samples, Smoothed")
ggsave(plot = AS_Mean_Unchanged_smoothed, filename = "/Volumes/fh/fast/tapscott_s/user/sbennett/PolII_CutTag_Resequence/plots/AS_PolII_Unchanged_Mean_LinePlot_smoothed.png")




#concatenating raw fastq files for submission to GEO

cat AS_DI4_Repool_S44_R1_001.fastq.gz AS_DI4_S14_R1_001_Run1.fastq.gz AS_DI4_S14_R1_001_Run2.fastq.gz > AS_DoxIFNg_PolII_1_R1.fastq.gz
cat AS_DI4_Repool_S44_R2_001.fastq.gz AS_DI4_S14_R2_001_Run1.fastq.gz AS_DI4_S14_R2_001_Run2.fastq.gz > AS_DoxIFNg_PolII_1_R2.fastq.gz

cat AS_DI5_Repool_S45_R1_001.fastq.gz AS_DI5_S15_R1_001_Run1.fastq.gz AS_DI5_S15_R1_001_Run2.fastq.gz > AS_DoxIFNg_PolII_2_R1.fastq.gz
cat AS_DI5_Repool_S45_R2_001.fastq.gz AS_DI5_S15_R2_001_Run1.fastq.gz AS_DI5_S15_R2_001_Run2.fastq.gz > AS_DoxIFNg_PolII_2_R2.fastq.gz

cat AS_I4_Repool_S39_R1_001.fastq.gz AS_I4_S9_R1_001_Run1.fastq.gz AS_I4_S9_R1_001_Run2.fastq.gz > AS_IFNg_PolII_1_R1.fastq.gz
cat AS_I4_Repool_S39_R2_001.fastq.gz AS_I4_S9_R2_001_Run1.fastq.gz AS_I4_S9_R2_001_Run2.fastq.gz > AS_IFNg_PolII_1_R2.fastq.gz

cat AS_I5_Repool_S40_R1_001.fastq.gz AS_I5_S10_R1_001_Run1.fastq.gz AS_I5_S10_R1_001_Run2.fastq.gz > AS_IFNg_PolII_2_R1.fastq.gz
cat AS_I5_Repool_S40_R2_001.fastq.gz AS_I5_S10_R2_001_Run1.fastq.gz AS_I5_S10_R2_001_Run2.fastq.gz > AS_IFNg_PolII_2_R2.fastq.gz

cat AS_U4_Repool_S34_R1_001.fastq.gz AS_U4_S4_R1_001_Run1.fastq.gz AS_U4_S4_R1_001_Run2.fastq.gz > AS_Unt_PolII_1_R1.fastq.gz
cat AS_U4_Repool_S34_R2_001.fastq.gz AS_U4_S4_R2_001_Run1.fastq.gz AS_U4_S4_R2_001_Run2.fastq.gz > AS_Unt_PolII_1_R2.fastq.gz

cat AS_U5_Repool_S35_R1_001.fastq.gz AS_U5_S5_R1_001_Run1.fastq.gz AS_U5_S5_R1_001_Run2.fastq.gz > AS_Unt_PolII_2_R1.fastq.gz
cat AS_U5_Repool_S35_R2_001.fastq.gz AS_U5_S5_R2_001_Run1.fastq.gz AS_U5_S5_R2_001_Run2.fastq.gz > AS_Unt_PolII_2_R2.fastq.gz

cat NS_03_S18_R1_001_Run1.fastq.gz NS_03_S18_R1_001_Run2.fastq.gz > NS_Unt_PolII_1_R1.fastq.gz
cat NS_03_S18_R2_001_Run1.fastq.gz NS_03_S18_R2_001_Run2.fastq.gz > NS_Unt_PolII_1_R2.fastq.gz

cat NS_04_S19_R1_001_Run1.fastq.gz NS_04_S19_R1_001_Run2.fastq.gz > NS_Unt_PolII_2_R1.fastq.gz
cat NS_04_S19_R2_001_Run1.fastq.gz NS_04_S19_R2_001_Run2.fastq.gz > NS_Unt_PolII_2_R2.fastq.gz

cat NS_08_S23_R1_001_Run1.fastq.gz NS_08_S23_R1_001_Run2.fastq.gz > NS_IFNg_PolII_1_R1.fastq.gz
cat NS_08_S23_R2_001_Run1.fastq.gz NS_08_S23_R2_001_Run2.fastq.gz > NS_IFNg_PolII_1_R2.fastq.gz

cat NS_09_S24_R1_001_Run1.fastq.gz NS_09_S24_R1_001_Run2.fastq.gz > NS_IFNg_PolII_2_R1.fastq.gz
cat NS_09_S24_R2_001_Run1.fastq.gz NS_09_S24_R2_001_Run2.fastq.gz > NS_IFNg_PolII_2_R2.fastq.gz

cat NS_13_S28_R1_001_Run1.fastq.gz NS_13_S28_R1_001_Run2.fastq.gz > NS_DoxIFNg_PolII_1_R1.fastq.gz
cat NS_13_S28_R2_001_Run1.fastq.gz NS_13_S28_R2_001_Run2.fastq.gz > NS_DoxIFNg_PolII_1_R2.fastq.gz

cat NS_14_S29_R1_001_Run1.fastq.gz NS_14_S29_R1_001_Run2.fastq.gz > NS_DOxIFNg_PolII_2_R1.fastq.gz
cat NS_14_S29_R2_001_Run1.fastq.gz NS_14_S29_R2_001_Run2.fastq.gz > NS_DOxIFNg_PolII_2_R2.fastq.gz

# calculating size metrics for submission to GEO

java -jar $EBROOTPICARD/picard.jar CollectInsertSizeMetrics I=AS_DI4_PolII_Rep1_merged_trimmed_GRCh38_bowtie2_aln_sorted.bam O=	AS_DI4_PolII_Rep1_insert_size_metrics.txt H=AS_DI4_PolII_Rep1_insert_size_histogram.pdf M=0.5
java -jar $EBROOTPICARD/picard.jar CollectInsertSizeMetrics I=AS_I5_PolII_Rep2_merged_trimmed_GRCh38_bowtie2_aln_sorted.bam O= AS_I5_PolII_Rep2_insert_size_metrics.txt H=AS_I5_PolII_Rep2_insert_size_histogram.pdf M=0.5	  
java -jar $EBROOTPICARD/picard.jar CollectInsertSizeMetrics I=NS_DI3_PolII_Rep1_merged_trimmed_GRCh38_bowtie2_aln_sorted.bam O=	NS_DI3_PolII_Rep1_insert_size_metrics.txt H=NS_DI3_PolII_Rep1_insert_size_histogram.pdf M=0.5  
java -jar $EBROOTPICARD/picard.jar CollectInsertSizeMetrics I=NS_I4_PolII_Rep2_merged_trimmed_GRCh38_bowtie2_aln_sorted.bam O= NS_I4_PolII_Rep2_insert_size_metrics.txt H=NS_I4_PolII_Rep2_insert_size_histogram.pdf M=0.5	
java -jar $EBROOTPICARD/picard.jar CollectInsertSizeMetrics I=AS_DI5_PolII_Rep2_merged_trimmed_GRCh38_bowtie2_aln_sorted.bam O=	AS_DI5_PolII_Rep2_insert_size_metrics.txt H=AS_DI5_PolII_Rep2_insert_size_histogram.pdf M=0.5	
java -jar $EBROOTPICARD/picard.jar CollectInsertSizeMetrics I=AS_U4_PolII_Rep1_merged_trimmed_GRCh38_bowtie2_aln_sorted.bam O= AS_U4_PolII_Rep1_insert_size_metrics.txt H=AS_U4_PolII_Rep1_insert_size_histogram.pdf M=0.5	  
java -jar $EBROOTPICARD/picard.jar CollectInsertSizeMetrics I=NS_DI4_PolII_Rep2_merged_trimmed_GRCh38_bowtie2_aln_sorted.bam O=	NS_DI4_PolII_Rep2_insert_size_metrics.txt H=NS_DI4_PolII_Rep2_insert_size_histogram.pdf M=0.5  
java -jar $EBROOTPICARD/picard.jar CollectInsertSizeMetrics I=NS_U3_PolII_Rep1_merged_trimmed_GRCh38_bowtie2_aln_sorted.bam O= NS_U3_PolII_Rep1_insert_size_metrics.txt H=NS_U3_PolII_Rep1_insert_size_histogram.pdf M=0.5	
java -jar $EBROOTPICARD/picard.jar CollectInsertSizeMetrics I=AS_I4_PolII_Rep1_merged_trimmed_GRCh38_bowtie2_aln_sorted.bam O= AS_I4_PolII_Rep1_insert_size_metrics.txt H=AS_I4_PolII_Rep1_insert_size_histogram.pdf M=0.5		
java -jar $EBROOTPICARD/picard.jar CollectInsertSizeMetrics I=AS_U5_PolII_Rep2_merged_trimmed_GRCh38_bowtie2_aln_sorted.bam O= AS_U5_PolII_Rep2_insert_size_metrics.txt H=AS_U5_PolII_Rep2_insert_size_histogram.pdf M=0.5	  
java -jar $EBROOTPICARD/picard.jar CollectInsertSizeMetrics I=NS_I3_PolII_Rep1_merged_trimmed_GRCh38_bowtie2_aln_sorted.bam O= NS_I3_PolII_Rep1_insert_size_metrics.txt H=NS_I3_PolII_Rep1_insert_size_histogram.pdf M=0.5	   
java -jar $EBROOTPICARD/picard.jar CollectInsertSizeMetrics I=NS_U4_PolII_Rep2_merged_trimmed_GRCh38_bowtie2_aln_sorted.bam O= NS_U4_PolII_Rep2_insert_size_metrics.txt H=NS_U4_PolII_Rep2_insert_size_histogram.pdf M=0.5	

java -jar $EBROOTPICARD/picard.jar CollectInsertSizeMetrics I=input.bam O=insert_size_metrics.txt H=insert_size_histogram.pdf M=0.5


